<?php
/*
  欢迎使用DM企业建站系统，本系统由www.demososo.com开发。
*/
if(!defined('IN_DEMOSOSO')) {
  exit('this is wrong page,please back to homepage');
}
require   BLOCKROOT.'tpl/meta.php';
if($siteheader=='') {  
  require   BLOCKROOT.'tpl/header.php';
  require   BLOCKROOT.'tpl/banner.php';
}  
else block($siteheader);

//-------------
 
 
?>



<div class="pagewrap">
 
<div class="contentwrapbg contentwrapside">
   <div class="contentwrap container"> 
     <?php       
      require  BLOCKROOT.'tpl/editpage_goadm.php';
     ?>
   
    <?php
    bujublock($pagetop,'c pagetop');
    ?>
    
   <div class="content fl   cntwidth">

    <?php
    if($breadposi<>'h')  {
      echo '<div class="content_header">';
        require  BLOCKROOT.'tpl/bread.php';   
        echo '<h3><a href="'.$cururllink.'">'.strip_tags($curpagetitle).'</a></h3>';
       echo '</div>';  
      }
  ?>


     <?php
  //  bujublock($pagetop,'c pagetop');
 //echo $sidebarlayout;
    
       if(isdmmobile())  require tplhookfile('sidebar/sidebar_top_cate.php');
         
    ?>

 <?php
    bujublock($contenttop,'c contenttop');
    ?>

    <div class="c content_default">

        <?php    
            if($content<>'') block($content);   
           else { 
                if(substr($detailfg,0,5)=='self_') $reqfile =    TPLCURROOT.'selfblock/catedetail/'.$detailfg;
               else  $reqfile = SYSBLOCKROOT.'catedetail/'.$detailfg;
              
                if(checkfile($reqfile)) require $reqfile;
              }
        ?>
    </div>
     <?php
          bujublock($contentbot,'c contentbot');
       ?>

  </div>
   
   <!--侧边栏开始-->
     <div  class="sidebar fr sdwidth"> 
               <?php
                  bujublock($sidebartop,'c sidebartop');
                  ?>


                <?php
                if(!isdmmobile()) {
                   if($sidebar=='' || substr($sidebar,0,4)=='menu') {
                          require tplhookfile('sidebar/sidebar_cate.php');
                     }
                    else block($sidebar);
                }
                    
                ?>

                <?php
                  bujublock($sidebarbot,'c sidebarbot');
                  ?>
            

  </div>
<!--侧边栏结束-->


  <div class="c"> </div>

  
     <?php
        bujublock($pagebot,'c pagebot');
        ?>
     </div> <!--end contentwrap-->
</div>
 
 </div><!--end pagewrap-->


<?php
 
//-------------
 require  BLOCKROOT.'tpl/footer.php';
 